package alea

import (
	"context"

	"github.com/SamuelTariku/FortuneBet-Backend/internal/domain"
)

type AleaVirtualGameService interface {
	GenerateGameLaunchURL(ctx context.Context, userID int64, gameID, currency, mode string) (string, error)
	HandleCallback(ctx context.Context, callback *domain.AleaPlayCallback) error
}
